| OpenNI 2.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Friends
openni::DeviceInfo Class Reference

`#include <OpenNI.h>`

List of all members.

## Public Member Functions

const char * | getName () const
const char * | getUri () const
uint16_t | getUsbProductId () const
uint16_t | getUsbVendorId () const
const char * | getVendor () const

## Friends

class | Device
class | OpenNI

## Detailed Description

The DeviceInfo class encapsulates info related to a specific device.

Applications will generally obtain objects of this type via calls to OpenNI::enumerateDevices() or openni::Device::getDeviceInfo(), and then use the various accessor functions to obtain specific information on that device.

There should be no reason for application code to instantiate this object directly.

## Member Function Documentation

const char* openni::DeviceInfo::getName | ( |  | ) | const`[inline]`

Returns the device name for this device.

const char* openni::DeviceInfo::getUri | ( |  | ) | const`[inline]`

Returns the device URI. URI can be used by Device::open to open a specific device. The URI string format is determined by the driver.

uint16_t openni::DeviceInfo::getUsbProductId | ( |  | ) | const`[inline]`

Returns the USB PID code for this device.

uint16_t openni::DeviceInfo::getUsbVendorId | ( |  | ) | const`[inline]`

Returns the USB VID code for this device.

const char* openni::DeviceInfo::getVendor | ( |  | ) | const`[inline]`

Returns a the vendor name for this device.

## Friends And Related Function Documentation

friend class Device `[friend]`

friend class OpenNI `[friend]`

The documentation for this class was generated from the following file:

- OpenNI.h